Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.agent_schedules.update_agent_schedule(agent_id="<id>", schedule_id="<id>")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.agentSchedules.updateAgentSchedule({
agentId: "<id>",
scheduleId: "<id>",
updateAgentScheduleRequest: {},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.AgentSchedules.UpdateAgentScheduleAsync(
agentId: "<id>",
scheduleId: "<id>",
body: new MeetKai.MKA1.Types.Components.UpdateAgentScheduleRequest() {}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/agents/{agent_id}/schedules/{schedule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"schedule": {
"type": "once",
"run_at": "2023-11-07T05:31:56Z",
"timezone": "UTC"
},
"input": "<string>",
"conversation": "<unknown>",
"previous_response_id": "<string>",
"context_management": [
{
"type": "compaction",
"compact_threshold": 1001
}
],
"metadata": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
schedule: {type: 'once', run_at: '2023-11-07T05:31:56Z', timezone: 'UTC'},
input: '<string>',
conversation: '<unknown>',
previous_response_id: '<string>',
context_management: [{type: 'compaction', compact_threshold: 1001}],
metadata: {}
})
};
fetch('https://apigw.mka1.com/api/v1/agents/{agent_id}/schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "agent.schedule",
"id": "<string>",
"agent_id": "<string>",
"name": "<string>",
"schedule": {
"type": "once",
"run_at": "2023-11-07T05:31:56Z",
"timezone": "UTC"
},
"input": "<unknown>",
"conversation": "<unknown>",
"previous_response_id": "<string>",
"context_management": [
{
"type": "compaction",
"compact_threshold": 1001
}
],
"metadata": {},
"temporal_schedule_id": "<string>",
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_id": "<string>",
"run_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}Agent Schedules
Update an agent schedule
POST
/
api
/
v1
/
agents
/
{agent_id}
/
schedules
/
{schedule_id}
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.agent_schedules.update_agent_schedule(agent_id="<id>", schedule_id="<id>")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.agentSchedules.updateAgentSchedule({
agentId: "<id>",
scheduleId: "<id>",
updateAgentScheduleRequest: {},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.AgentSchedules.UpdateAgentScheduleAsync(
agentId: "<id>",
scheduleId: "<id>",
body: new MeetKai.MKA1.Types.Components.UpdateAgentScheduleRequest() {}
);
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Body
application/json
Required string length:
1 - 120- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Required string length:
1 - 20000Arbitrary JSON value.
Context management strategies to apply during agent-run response generation. Set to null to clear the schedule-level strategies.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Updated schedule.
Available options:
agent.schedule Available options:
active, paused, completed, deleted - Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Arbitrary JSON value.
Arbitrary JSON value.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I